Subject: [Class of 2014] Next/New Dorm Storm TONIGHT at 7:30!

From: Jean Xin <[email-masked]>
Date: Wed, 27 Oct 2010 17:24:50 -0400

Come down to the TFL at Next House for some free, delicious ice cream
sundaes, info on freshman opportunities, and a nice study break! We can't
wait to see you!

Love from your 2014 Class Council